# Serializer

class oslo_messaging.Serializer

  Generic (de-)serialization definition base class.

  abstractmethod deserialize_context(ctxt)

    Deserialize a dictionary into a request context.

    Parameters:

      ctxt – Request context dictionary

    Returns:

      Deserialized form of entity

  abstractmethod deserialize_entity(ctxt, entity)

    Deserialize something from primitive form.

    Parameters:

      - ctxt – Request context, in deserialized form

      - entity – Primitive to be deserialized

    Returns:

      Deserialized form of entity

  abstractmethod serialize_context(ctxt)

    Serialize a request context into a dictionary.

    Parameters:

      ctxt – Request context

    Returns:

      Serialized form of context

  abstractmethod serialize_entity(ctxt, entity)

    Serialize something to primitive form.

    Parameters:

      - ctxt – Request context, in deserialized form

      - entity – Entity to be serialized

    Returns:

      Serialized form of entity

class oslo_messaging.NoOpSerializer

  A serializer that does nothing.

this page last updated: 2026-03-23 08:51:56

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug